summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-10-23 18:51:56 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-10-23 18:54:05 +0200
commit56148d2ee3e83c17a64f8672d32143bcb2f56e02 (patch)
tree5a36a0e471249e90170111f32bfdb74897ff64b0 /kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild
parentwww-client/firefox: update patch URL (diff)
downloadgentoo-56148d2ee3e83c17a64f8672d32143bcb2f56e02.tar.gz
gentoo-56148d2ee3e83c17a64f8672d32143bcb2f56e02.tar.bz2
gentoo-56148d2ee3e83c17a64f8672d32143bcb2f56e02.zip
kde-plasma: Add KDE Plasma 5.14.2
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
Diffstat (limited to 'kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild')
-rw-r--r--kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild
new file mode 100644
index 000000000000..74322bcb6432
--- /dev/null
+++ b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.14.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FRAMEWORKS_MINIMAL="5.50.0"
+QT_MINIMAL="5.9.6"
+KDE_AUTODEPS="false"
+KMNAME="plasma-workspace"
+inherit kde5
+
+DESCRIPTION="Legacy xembed tray icons support for SNI-only system trays"
+HOMEPAGE="https://cgit.kde.org/plasma-workspace.git/tree/xembed-sni-proxy/Readme.md"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~x86"
+
+DEPEND="
+ $(add_frameworks_dep extra-cmake-modules)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_qt_dep qtcore)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtx11extras)
+ x11-libs/libxcb
+ x11-libs/libXtst
+ x11-libs/xcb-util-image
+"
+RDEPEND="${DEPEND}
+ !<kde-plasma/plasma-workspace-5.14.2:5
+ !kde-plasma/xembed-sni-proxy:0
+"
+
+S="${S}/${PN}"
+
+PATCHES=( "${FILESDIR}/${PN}-5.14.2-standalone.patch" )
+
+src_prepare() {
+ kde5_src_prepare
+
+ sed -e "/set/s/GENTOO_PV/${PV}/" \
+ -e "/set/s/GENTOO_QT_MINIMAL/${QT_MINIMAL}/" \
+ -e "/set/s/GENTOO_KF5_MINIMAL/${FRAMEWORKS_MINIMAL}/" \
+ -i CMakeLists.txt || die "Failed to prepare CMakeLists.txt"
+}